Name: kde-edu-kiten
Summary: A Japanese reference/learning tool
Version: 14.12.3
Release: %mkrel 3
Group: Graphical desktop/KDE4
License: GPLv2 LGPLv2 GFDL
URL: http://edu.kde.org/kiten
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/kiten-%version.tar.xz
BuildRequires: kdelibs-devel 
Requires: kde-runtime 
Requires: %{_lib}kiten4


%description
Kiten is a Japanese reference/learning tool.

Kiten features:
* Search with english keyword, Japanese reading, or a Kanji string on a
  list of EDICT files.
* Search with english keyword, Japanese reading, number of strokes, grade
  number, or a Kanji on a list of KANJIDIC files.
* Comes with all necessary files.
* Very fast.
* Limit searches to only common entries.
* Nested searches of results possible.
* Compact, small, fast interface.
* Global KDE keybindings for searching highlighted strings.
* Learning dialog. (One can even open up multiple ones and have them sync
  between each other.)
* Browse Kanji by grade.
* Add Kanji to a list for later learning.
* Browse list, and get quizzed on them.

%files
%_kde_appsdir/kiten
%_kde_appsdir/kitenradselect
%_kde_bindir/kiten
%_kde_bindir/kitengen
%_kde_bindir/kitenradselect
%_kde_bindir/kitenkanjibrowser
%_kde_iconsdir/*/*/apps/kiten.*
%_kde_datadir/applications/kde4/kiten.desktop
%_kde_datadir/appdata/kiten.appdata.xml
%_kde_datadir/applications/kde4/kitenkanjibrowser.desktop
%_kde_datadir/applications/kde4/kitenradselect.desktop
%_kde_datadir/config.kcfg/kiten.kcfg
%_kde_appsdir/kitenkanjibrowser
%_datadir/fonts/kanjistrokeorders
%doc  COPYING COPYING.DOC COPYING.LIB AUTHORS README
%doc %_kde_docdir/HTML/en/kiten

#---------------------------------------------

%define libkiten_major 4
%define libkiten %mklibname kiten %{libkiten_major}

%package -n %libkiten
Summary: Runtime library for Kiten
Group: System/Libraries

%description -n %libkiten
libkiten is a library for managing a variety of japanese cross-language
dictionaries through a common interface. It provides a light abstraction layer
over various types of japanese dictionaries, with a simple facility for adding
more types.

%files -n %libkiten
%_kde_libdir/libkiten.so.%{libkiten_major}*

#---------------------------------------------

%package devel
Summary: Devel stuff for %{name}
Group: Development/Libraries
Requires: kdelibs-devel
Requires: %{_lib}kiten%{libkiten_major}
Conflicts: kdeedu4-devel < 4.6.90

%description  devel
Files needed to build applications based on %{name}.

%files devel
%_kde_libdir/libkiten.so
%_includedir/libkiten/

#----------------------------------------------------------------------

%prep
%setup -q -n kiten-%version

%build
%cmake_kde4
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%make

%install
rm -fr %buildroot
cd build
make DESTDIR=%buildroot install


#MENU Entries
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Geography" \
  --remove-category="ComputerScience" \
  --add-category="X-MandrivaLinux-MoreApplications-Education-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop

%clean
rm -fr %buildroot

%changelog
* Tue Jul 21 2015 pinoc <vogtpet at gmail.com> 14.12.3-3pclos2015
- rebuild on 15.04.3

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 14.12.3-2pclos2015
- rebuild on 15.04.0

* Mon Mar 09 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3
